/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMLevelData Bombing =
{
  /* BMLevel */
  {
    "Bombing",
    "EPFL - disun : Yves Bresson",
    "xblast.useBombing",
    "Hide or Die",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Bombing,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_nasty_walls,
    special_game_nasty_walls,
    special_extra_kick,
    special_key_void,
  },
  /* BMPlayerData */
  {
    0, 0,
    {
      {5,6},
      {5,8},
      {6,5},
      {6,9},
      {7,6},
      {7,8},
    },
    PM_Same, 0,
    Healthy, IllRun, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "Brown", "Black" },
      { "rock_floor_S", "Black", "Brown", "Black" },
      { "weight", "Black", "DarkRed", "Gold" },
      { "weight_R", "Black", "LightSteelBlue", "Black" },
      { "weight", "Black", "Orange", "Gold" },
      { "weight", "Black", "Red", "Gold" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 10, 20, 30, 40, 50 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,q,_,_,_,_,_,B, },
      { B,_,_,_,_,X,X,X,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,r,_,_,X,_,B,_,X,_,_,r,B, },
      { B,_,_,b,X,_,_,_,X,b,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,b,_,r,B,_,_,_,B,r,_,b,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,b,X,_,_,_,X,b,_,_,B, },
      { B,r,_,_,X,_,B,_,X,_,_,r,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,X,X,X,_,_,_,_,B, },
      { B,_,_,_,_,_,q,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
