/* XBlast 2.5.3 level */
/* level edited with BlastEd */
static BMLevelData DeepForest =
{
  /* BMLevel */
  {
    "Deep Forest",
    "EPFL - cosun : Yves Bresson",
    "xblast.useDeepForest",
    "Explore the Jungle",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DeepForest,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_RC,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      {1,7},
      {2,1},
      {2,13},
      {10,1},
      {10,13},
      {11,7},
    },
    PM_Vertical, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "DarkSeaGreen", "Black" },
      { "chess_floor_S", "Black", "DarkSeaGreen", "Black" },
      { "chess_sphere", "Black", "DarkSeaGreen", "SeaGreen" },
      { "chess_sphere", "Black", "DarkSeaGreen", "SeaGreen" },
      { "chess_sphere", "Black", "DarkSeaGreen", "DarkOliveGreen" },
      { "chess_sphere_O", "Black", "DarkSeaGreen", "DarkOliveGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 20, 37, 45, 60, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,X,X,X,X,X,X,X,_,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,X,_,X,X,X,X,X,X,X,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
