/* XBlast 2.5.3 level */

static BMPosition Grenade_Duel_Dele[] = {
 {1,7}, {11,7}, {6,1}, {6,2}, {6,12}, {6,13} };
 
static BMPosition Grenade_Duel_Draw[] = {
 {1,7}, {11,7}, {6,1}, {6,2}, {6,12}, {6,13} };

static BMLevelData Grenade_Duel =
{
  /* BMLevel */
  {
    "Grenade Duel",
    "EPFL - cosun : Yves Bresson",
    "xblast.useGrenadeDuel",
    "No One Escapes...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Grenade_Duel,
    NULL,
  },
  /* BMShrinkData (spiral_shrink_4)*/
  {
    shrink_void,
    {GAME_TIME/10, 6, Grenade_Duel_Draw},
    {GAME_TIME/8, 6, Grenade_Duel_Dele},
  },
  /* BMFuncData */
  {
    special_init_special_bombs_30,
    special_game_void,
    special_extra_ignite_all,
    special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      {  2,  2 },
      {  2, 12 },
      { 10, 12 },
      { 10,  2 },
      {  6, 12 },
      {  6,  2 },
    },
    PM_Inner, 2,
    IllRun, IllRun, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_anticlockwise, bomb_click_thru,
    GoStop, FUSEshort,
    BMTrandom, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "PaleGoldenRod", "Blue" },
      { "iron_floor_S", "Black", "PaleGoldenRod", "Blue" },
      { "dark_block", "Black", "ForestGreen", "Gray80" },
      { "dark_block_R", "Black", "SpringGreen", "White" },
      { "extra", "Black", "Firebrick", "Black" },
      { "extra", "Black", "Firebrick", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEget,
    {    25,    25,    30,      30,     63 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,X,X,_,X,_,X,_,X,_,X,X,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,B,X,_,X,q,X,_,X,B,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,X,X,_,X,_,X,_,X,_,X,X,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
