/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMPosition HumanBomb_Draw[] = {
{6,7} };

static BMPosition HumanBomb_Dele[] = {
{3,4}, {4,5}, {5,6}, {4,7}, {4,8}, {5,9}, {6,9}, {7,9}, {8,9}, {9,8}, {9,7}, {9,6}, {8,6}, {8,5}, {7,5}, {6,5} };

static BMLevelData HumanBomb =
{
  /* BMLevel */
  {
    "Human Bombs",
    "EPFL - disun : Yves Bresson",
    "xblast.useHumanBomb",
    "What the f.. they turn into BOMBS !!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &HumanBomb,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_solid,
    {GAME_TIME/4, 1, HumanBomb_Draw},
    {GAME_TIME/4, 16, HumanBomb_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_morph,
    special_key_morph,
  },
  /* BMPlayerData */
  {
    2, 6,
    {
      {1,7},
      {2,12},
      {3,3},
      {9,11},
      {10,2},
      {11,7},
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTparasol,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor", "Turquoise", "Yellow", "Black" },
      { "button_floor_S", "Turquoise", "Yellow", "Black" },
      { "dark_block", "Turquoise", "Aquamarine", "Black" },
      { "dark_block_R", "Turquoise", "Aquamarine", "Black" },
      { "extra", "LightSeaGreen", "Lime", "Black" },
      { "extra_O", "LightSeaGreen", "Lime", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MORPH,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 5, 10, 15, 50, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,_,X,_,_,_,X,_,_,B, },
      { B,_,X,_,_,_,_,X,_,X,X,_,B, },
      { B,_,_,R,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,R,_,R,R,R,_,X,_,B, },
      { B,_,X,_,_,R,X,X,R,R,_,_,B, },
      { B,_,_,_,R,X,X,X,X,R,_,_,B, },
      { B,_,_,_,R,X,X,X,X,R,_,_,B, },
      { B,X,_,_,_,R,R,R,R,_,_,X,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,_,_,_,X,_,_,X,_,B, },
      { B,_,_,X,_,X,_,_,_,X,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
