/* XBlast 2.5.3 level */
/* level edited with BlastEd */

static BMPosition Jedi2_Dele[] = {
 {4,5}, {4,6}, {4,7}, {4,8}, {4,9},
 {5,6}, {5,8},
 {6,6}, {6,8},
 {7,6}, {7,8},
 {8,5}, {8,6}, {8,7}, {8,8}, {8,9} };

static BMLevelData Jedi_Power2 =
{
  /* BMLevel */
  {
    "Jedi Power II",
    "EPFL - cosun : Yves Bresson",
    "xblast.useJedi_Power2",
    "Peace & Love ? Let me laugh !",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Jedi_Power2,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    { (2*GAME_TIME)/3, 16, Jedi2_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      {2,2},
      {2,12},
      {6,4},
      {6,10},
      {10,2},
      {10,12},
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTfungus, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "city_free", "DarkOrange", "Orange", "Blue" },
      { "city_free_S", "DarkOrange", "Orange", "Blue" },
      { "dark_house", "DarkOrange", "Orange", "Gray80" },
      { "dark_house_R", "DarkOrange", "Orange", "White" },
      { "light_house", "DarkOrange", "Orange", "Black" },
      { "light_house_O", "DarkOrange", "Orange", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEget,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
