/* XBlast 2.5.3 (2.6) level                                 */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMPosition Jedi_Power3_Draw[] = {
{1,1}, {1,2}, {2,1}, {2,2}, {1,3}, {2,3}, {2,4}, {1,4}, {1,5}, {2,5}, {2,6}, {1,6}, {1,7}, {2,8}, {1,8}, {2,7}, {2,9}, {1,9}, {1,10}, {2,10}, {2,11}, {1,11}, {1,12}, {2,12}, {2,13}, {1,13}, {3,1}, {3,2}, {4,1}, {4,2}, {4,3}, {5,3}, {5,2}, {5,1}, {6,1}, {6,2}, {6,3}, {7,3}, {7,2}, {7,1}, {8,1}, {8,2}, {8,3}, {9,1}, {9,2}, {10,1}, {10,2}, {11,1}, {11,2}, {11,3}, {10,3}, {10,4}, {11,4}, {11,5}, {10,5}, {10,6}, {11,6}, {11,7}, {10,7}, {10,8}, {11,8}, {11,9}, {10,9}, {10,10}, {11,10}, {10,11}, {11,11}, {11,12}, {10,12}, {10,13}, {11,13}, {9,12}, {9,13}, {8,11}, {8,12}, {8,13}, {7,13}, {7,12}, {7,11}, {6,11}, {6,12}, {6,13}, {5,13}, {5,12}, {5,11}, {4,11}, {4,12}, {3,12}, {3,13}, {4,13} };

static BMPosition Jedi_Power3_Dele[] = {
{9,3}, {9,4}, {8,4}, {7,4}, {6,4}, {5,4}, {4,4}, {3,4}, {3,3}, {3,5}, {3,6}, {3,7}, {3,8}, {3,9}, {3,10}, {3,11}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}, {9,11}, {9,10}, {9,9}, {9,8}, {9,7}, {9,6}, {9,5}, {8,7}, {7,7}, {6,7}, {5,7}, {4,7} };

static BMLevelData Jedi_Power3 =
{
  /* BMLevel */
  {
    "Jedi Power III",
    "EPFL - insun : Yves Bresson",
    "xblast.useJedi_Power3",
    "The 3 will save you !",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Jedi_Power3,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {(27*GAME_TIME)/81, 90, Jedi_Power3_Draw},
    {(26*GAME_TIME)/81, 33, Jedi_Power3_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      {1,4},
      {1,10},
      {6,1},
      {6,13},
      {11,4},
      {11,10},
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_randomdir, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "city_free", "DarkOrange", "Orange", "Blue" },
      { "city_free_S", "DarkOrange", "Orange", "Blue" },
      { "dark_house", "DarkOrange", "Orange", "Gray80" },
      { "dark_house_R", "DarkOrange", "Orange", "White" },
      { "light_house", "DarkOrange", "DarkOrange", "Gray80" },
      { "light_house_O", "DarkOrange", "Orange", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEget,
    { 10, 20, 20, 20, 20 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,B,B,B,B,B,B,B,_,_,B, },
      { B,_,_,B,X,X,X,X,X,B,_,_,B, },
      { B,_,_,B,X,X,X,X,X,B,_,_,B, },
      { B,_,_,B,B,B,B,B,B,B,_,_,B, },
      { B,_,_,B,X,X,X,X,X,B,_,_,B, },
      { B,_,_,B,X,X,X,X,X,B,_,_,B, },
      { B,_,_,B,B,B,B,B,B,B,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
