/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMPosition LaMine_Draw[] = {
{1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {11,2}, {1,2}, {1,3}, {1,4}, {1,5}, {1,6}, {1,7}, {1,8}, {1,9}, {1,10}, {1,11}, {1,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {8,13}, {7,13}, {9,13}, {10,13}, {11,13}, {11,12}, {11,11}, {11,10}, {11,9}, {11,8}, {11,7}, {11,6}, {11,5}, {11,4}, {11,3}, {10,2}, {9,2}, {10,3}, {2,2}, {3,2}, {2,3}, {2,11}, {2,12}, {3,12}, {9,12}, {10,12}, {10,11}, {10,10}, {9,11}, {8,12}, {4,12}, {3,11}, {2,10}, {2,4}, {3,3}, {4,2}, {8,2}, {9,3}, {10,4}, {10,5}, {9,4}, {8,3}, {7,2}, {5,2}, {4,3}, {3,4}, {2,5}, {2,9}, {3,10}, {4,11}, {5,12}, {7,12}, {8,11}, {9,10}, {10,9}, {6,2}, {6,12}, {2,6}, {2,7}, {2,8}, {10,6}, {10,7}, {10,8} };

static BMLevelData LaMine =
{
  /* BMLevel */
  {
    "La Mine",
    "EPFL - disun : Yves Bresson",
    "xblast.useLaMine",
    "Ca s'effondre !!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &LaMine,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME/10, 92, LaMine_Draw},
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_holy_grail,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 2,
    {
      {1,4},
      {1,10},
      {5,1},
      {7,13},
      {11,4},
      {11,10},
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor", "Peru", "Peru", "Black" },
      { "button_floor_S", "Peru", "Peru", "Black" },
      { "dark_block", "SaddleBrown", "SaddleBrown", "Black" },
      { "dark_block_R", "SaddleBrown", "SaddleBrown", "Black" },
      { "extra", "Goldenrod", "Firebrick", "Black" },
      { "extra_O", "Goldenrod", "Firebrick", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 5, 10, 10, 10, 50 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,q,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
