/* XBlast 2.5.3 (2.6.1) level                               */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMPosition MorphSurvival_Draw[] = {
{3,2}, {9,2}, {11,5}, {11,9}, {9,12}, {3,12}, {1,9}, {1,5}, {2,2}, {4,2}, {3,3}, {8,2}, {10,2}, {9,3}, {2,12}, {4,12}, {3,11}, {8,12}, {10,12}, {9,11}, {4,7}, {8,7}, {5,9}, {7,9}, {7,5}, {5,5} };

static BMPosition MorphSurvival_Dele[] = {
{7,3}, {5,3}, {5,11}, {7,11}, {5,5}, {7,5}, {8,7}, {7,9}, {5,9}, {4,7} };

static BMLevelData MorphSurvival =
{
  /* BMLevel */
  {
    "Survival of the Morphest",
    "EPFL - insun : Yves Bresson",
    "xblast.useMorphSurvival",
    "Mooooooorrph !!!!!!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &MorphSurvival,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/40, 26, MorphSurvival_Draw},
    {GAME_TIME/34, 10, MorphSurvival_Dele},
  },
  /* BMFuncData */
  {
    special_init_nasty_walls,
    special_game_nasty_walls,
    special_extra_morph,
    special_key_morph,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      {4,7},
      {5,5},
      {5,9},
      {7,5},
      {7,9},
      {8,7},
    },
    PM_Polar, 3,
    Healthy, IllRun, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "DarkSlateBlue", "Orange" },
      { "iron_floor_S", "Black", "DarkSlateBlue", "Orange" },
      { "dark_block", "DarkRed", "OrangeRed", "OrangeRed" },
      { "dark_block_R", "OrangeRed", "OrangeRed", "OrangeRed" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MORPH,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,q,_,_,_,_,_,q,_,_,B, },
      { B,_,_,_,_,R,_,R,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,q,B,_,_,_,_,_,_,_,B,q,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,_,_,_,_,B,_,_,_,_,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,q,B,_,_,_,_,_,_,_,B,q,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,R,_,R,_,_,_,_,B, },
      { B,_,_,q,_,_,_,_,_,q,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
