/* XBlast 2.5.3 (2.6.1) level                               */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMLevelData RingOfFire =
{
  /* BMLevel */
  {
    "Ring Of Fire",
    "EPFL - insun : Yves Bresson",
    "xblast.useRingOfFire",
    "Burn baby, Burn !",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &RingOfFire,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_special_bomb,
    special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 0,
    {
      {1,13},
      {2,1},
      {4,7},
      {9,2},
      {10,12},
      {11,6},
    },
    PM_Vertical, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_clockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTringofire, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light",   "Black", "SlateBlue", "SteelBlue" },
      { "karo_light_S", "Black", "SlateBlue", "SteelBlue" },
      { "hex_wall",     "Black", "Goldenrod", "Goldenrod" },
      { "hex_extra",    "Black", "Goldenrod", "LightGoldenrod" },
      { "extra",       "Black", "Sienna",    "Orange" },
      { "extra_O",     "Black", "Sienna",    "Orange" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_FIRECRACKER,
      { "chess_sphere", "Yellow", "LightSlateBlue", "Gold" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 5, 30, 30, 55, 55 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,X,B, },
      { B,_,_,_,X,_,_,_,_,_,_,_,B, },
      { B,_,_,R,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,X,R,_,_,B, },
      { B,X,_,_,_,r,r,r,_,_,_,_,B, },
      { B,_,_,_,_,X,q,X,_,_,_,_,B, },
      { B,_,_,_,_,_,X,X,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,R,_,_,_,B, },
      { B,_,X,X,R,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
