/* XBlast 2.5.3 level */

static BMLevelData SSSSnooker =
{
  /* BMLevel */
  {
    "Snooker",
    "EPFL - cosun : Yves Bresson & Cedric Junillon",
    "xblast.useSSSSnooker",
    "Super Special Speeded Snooker",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SSSSnooker,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    10, 1,
    {
      {  1,  1 },
      {  1, 13 },
      { 11,  1 },
      { 11, 13 },
      {  6,  1 },
      {  6, 13 },
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "PaleGoldenRod", "Blue" },
      { "chess_floor_S", "Black", "PaleGoldenRod", "Blue" },
      { "pyramid", "Black", "ForestGreen", "Gray80" },
      { "pyramid_R", "Black", "SpringGreen", "White" },
      { "extra", "DarkYellow", "Firebrick", "Black" },
      { "extra_O", "DarkYellow", "Firebrick", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CLOAK,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    {    0,    25,    25,      25,     25 },
    {      
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
