/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMPosition BlackZone_Draw[] = {
{8,4}, {10,2}, {6,2}, {2,2}, {4,4}, {2,6}, {2,8}, {2,12}, {4,10}, {6,12}, {8,10}, {10,12}, {10,8}, {10,6}, {6,6}, {6,8}, {10,10}, {8,8}, {8,12}, {6,10}, {4,12}, {2,10}, {4,8}, {4,6}, {2,4}, {4,2}, {6,4}, {8,2}, {8,6}, {10,4} };

static BMPosition BlackZone_Dele[] = {
{2,2}, {2,4}, {4,4}, {4,2}, {6,2}, {6,4}, {8,4}, {8,2}, {10,2}, {10,4}, {10,6}, {8,6}, {8,8}, {10,8}, {10,10}, {8,10}, {8,12}, {10,12}, {6,12}, {6,10}, {6,8}, {6,6}, {4,6}, {2,6}, {2,8}, {4,8}, {4,10}, {2,10}, {2,12}, {4,12} };

static BMLevelData BlackZone =
{
  /* BMLevel */
  {
    "Black Zone",
    "EPFL - disun : Yves Bresson",
    "xblast.useBlackZone",
    "Black is Deadly",
    GM_Random | GM_Double | GM_23456_Player | GM_All,
    (void *) &BlackZone,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/3, 30, BlackZone_Draw},
    {(2*GAME_TIME)/3, 30, BlackZone_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_kick,
    special_key_void,
  },
  /* BMPlayerData */
  {
    4, 10,
    {
      {2,2},
      {2,7},
      {2,12},
      {10,2},
      {10,7},
      {10,12},
    },
    PM_Same, 0,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "ForestGreen", "Black" },
      { "rock_floor_S", "Black", "ForestGreen", "Black" },
      { "weight", "Black", "ForestGreen", "Black" },
      { "weight_R", "Black", "ForestGreen", "Black" },
      { "weight", "Black", "YellowGreen", "Black" },
      { "weight_R", "Black", "YellowGreen", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowNone, DEall,
    { 0, 0, 0, 30, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,_,_,X,_,_,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,_,_,X,_,_,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
