/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMLevelData CastleDeath1 =
{
  /* BMLevel */
  {
    "Castle Death : Part 1",
    "EPFL - disun : Yves Bresson",
    "xblast.useCastleDeath1",
    "Wind of Death",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &CastleDeath1,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_air,
  },
  /* BMPlayerData */
  {
    4, 4,
    {
      {5,7},
      {6,4},
      {6,6},
      {6,8},
      {6,10},
      {7,7},
    },
    PM_Polar, -1,
    IllTeleport, Healthy, IF_Airpump,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light", "Black", "Yellow", "Black" },
      { "karo_light_S", "Black", "Yellow", "Black" },
      { "dark_block", "Black", "Yellow", "Black" },
      { "karo_light", "Black", "Yellow", "Black" },
      { "extra", "Black", "Orange", "OrangeRed" },
      { "extra_O", "Black", "Orange", "ORangeRed" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CONSTR,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEget,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,B,B,_,B,_,B,_,B,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
