/* XBlast 2.5.3 level                                       */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMLevelData DeathValley =
{
  /* BMLevel */
  {
    "Death Valley",
    "EPFL - disun : Yves Bresson",
    "xblast.useDeathValley",
    "Don't get lost...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DeathValley,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_swapposition,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 2,
    {
      {1,2},
      {1,4},
      {1,6},
      {1,8},
      {1,10},
      {1,12},
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor", "Peru", "Peru", "Black" },
      { "button_floor_S", "Peru", "Peru", "Black" },
      { "dark_block", "SaddleBrown", "SaddleBrown", "Black" },
      { "dark_block_R", "SaddleBrown", "SaddleBrown", "Black" },
      { "extra", "Goldenrod", "Firebrick", "Black" },
      { "extra_O", "Goldenrod", "Firebrick", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SWAPPOSITION,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEall,
    { 5, 30, 40, 63, 63 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,q,_,_,_,X,_,_,q,B, },
      { B,_,_,_,X,_,_,_,_,_,_,_,B, },
      { B,_,_,X,_,q,_,_,X,q,X,_,B, },
      { B,_,_,_,_,_,_,_,_,X,_,_,B, },
      { B,_,_,_,X,X,X,X,_,X,q,_,B, },
      { B,_,_,X,X,q,X,X,_,X,_,_,B, },
      { B,_,_,X,X,X,X,q,_,X,q,_,B, },
      { B,_,_,X,X,q,X,X,_,X,_,_,B, },
      { B,_,_,_,X,X,X,X,_,X,q,_,B, },
      { B,_,_,_,_,_,_,_,_,X,_,_,B, },
      { B,_,_,X,_,q,_,_,X,q,X,_,B, },
      { B,_,_,_,X,_,_,_,_,_,_,_,B, },
      { B,_,_,_,q,_,_,_,X,_,_,q,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
