/* XBlast 2.5.3 level */

static BMPosition Graal_Draw[] = {
 {1,1}, {1,2}, {1,3}, {1,4},
 {2,1}, {2,2}, {2,3},
 {3,1}, {3,2},
 {4,1},
 {11,1}, {11,2}, {11,3}, {11,4},
 {10,1}, {10,2}, {10,3},
 {9,1}, {9,2},
 {8,1},
 {1,13}, {1,12}, {1,11}, {1,10},
 {2,13}, {2,12}, {2,11},
 {3,13}, {3,12},
 {4,13},
 {11,13}, {11,12}, {11,11}, {11,10},
 {10,13}, {10,12}, {10,11},
 {9,13}, {9,12},
 {8,13},
 };
 
static BMPosition Graal_Draw2[] = {
 {6,2}, {6,12} };

static BMLevelData GraalQ =
{
  /* BMLevel */
  {
    "Graal Quest",
    "EPFL - cosun : Yves Bresson",
    "xblast.useGraalQ",
    "Dig a way to the Graal",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &GraalQ,
    NULL,
  },
  /* BMShrinkData (spiral_shrink_4)*/
  {
    shrink_constrict_wave,
    {GAME_TIME/8, 40, Graal_Draw},
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_holy_grail,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 2,
    {
      {  4,  2 },
      {  4, 12 },
      {  8,  2 },
      {  8, 12 },
      {  1,  7 },
      { 11,  7 },
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "SandyBrown", "Black" },
      { "rock_floor_S", "Black", "SandyBrown", "Black" },
      { "weight", "Black", "Azure", "Gold" },
      { "weight_R", "Black", "LightSteelBlue", "Black" },
      { "bricks", "Black", "OliveDrab", "Black" },
      { "brick_O", "Black", "OliveDrab", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
      { "rock_floor", "Black", "chocolate", "Black" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEget,
    {    32,    48,    48,      48,     48 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,s,_,_,_,s,_,_,_,B, },
      { B,_,_,s,_,_,_,_,_,s,_,_,B, },
      { B,_,s,_,_,s,B,s,_,_,s,_,B, },
      { B,s,_,_,s,X,X,X,s,_,_,s,B, },
      { B,_,_,s,X,X,X,X,X,s,_,_,B, },
      { B,_,s,X,X,B,X,B,X,X,s,_,B, },
      { B,_,B,X,X,X,q,X,X,X,B,_,B, },
      { B,_,s,X,X,B,X,B,X,X,s,_,B, },
      { B,_,_,s,X,X,X,X,X,s,_,_,B, },
      { B,s,_,_,s,X,X,X,s,_,_,s,B, },
      { B,_,s,_,_,s,B,s,_,_,s,_,B, },
      { B,_,_,s,_,_,_,_,_,s,_,_,B, },
      { B,_,_,_,s,_,_,_,s,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      
    },
  },
};
