/* XBlast 2.5.3 level */
/* level edited with BlastEd */

static BMPosition Life_Race_Draw[] = {
 {3,3}, {3,4}, {4,3}, {4,4}, {3,6}, {3,7}, {3,11}, {9,3}, {8,6}, {8,7}, {8,8}, {9,5}, {9,6}, {9,7}, {9,8}, {9,9}, {7,9}, {7,10}, {8,10}, {9,11} };

static BMPosition Life_Race_Dele[] = {
 {5,3}, {4,3}, {3,3}, {3,4}, {3,5}, {4,5}, {7,8}, {8,8}, {9,8}, {9,9}, {9,10}, {9,11}, {8,11}, {7,11} };

static BMLevelData Life_Race =
{
  /* BMLevel */
  {
    "Life Race",
    "EPFL - cosun : Yves Bresson",
    "xblast.useLife_Race",
    "Run for your Life !",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Life_Race,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    {GAME_TIME/2, 20, Life_Race_Draw},
    {(6*GAME_TIME)/10, 14, Life_Race_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_life,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      {2,1},
      {3,7},
      {3,13},
      {8,7},
      {9,1},
      {9,12},
    },
    PM_Same, 0,
    IllRun, IllRun, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "hex", "Black", "SandyBrown", "Black" },
      { "hex", "Black", "SandyBrown", "Black" },
      { "hex_wall", "Black", "SandyBrown", "Gold" },
      { "hole_floor", "Black", "SandyBrown", "Black" },
      { "hex_extra", "Black", "SandyBrown", "Black" },
      { "hex_extra_O", "Black", "SandyBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_LIFE,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowNone, DEget,
    { 10, 20, 30, 40, 50 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,B,_,_,_,_,B,_,B,R,B, },
      { B,B,_,_,_,B,_,_,_,_,_,B,B, },
      { B,R,B,_,_,B,_,_,B,_,_,_,B, },
      { B,B,_,_,_,B,B,_,_,B,_,_,B, },
      { B,_,_,B,B,_,_,_,B,_,_,_,B, },
      { B,B,_,_,B,B,_,B,_,_,_,B,B, },
      { B,_,_,_,B,_,q,B,_,_,B,B,B, },
      { B,_,_,B,B,_,_,B,_,_,_,B,B, },
      { B,_,B,B,_,_,B,R,B,_,_,_,B, },
      { B,_,_,B,_,_,B,R,R,B,_,_,B, },
      { B,_,_,_,B,_,_,B,B,_,_,_,B, },
      { B,B,_,_,_,_,_,_,B,_,_,B,B, },
      { B,R,B,_,_,B,_,_,_,_,B,R,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
