/* XBlast 2.5.3 (2.6.1) level                               */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMLevelData MovingDeath =
{
  /* BMLevel */
  {
    "Moving Death",
    "EPFL - insun : Yves Bresson",
    "xblast.useMovingDeath",
    "Be VERY Carefull",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &MovingDeath,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_haunt_fast,
    special_extra_teleport,
    special_key_teleport,
  },
  /* BMPlayerData */
  {
    3, 2,
    {
      {2,2},
      {2,8},
      {3,13},
      {8,2},
      {10,13},
      {11,7},
    },
    PM_Vertical, -2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_randomdir, bomb_click_none,
    GoStop, FUSEnormal,
    BMTsearch, BMTnormal, BMTpyro,
  },
  /* BMGraphicsData */
  {
    {
      { "city_free", "Grey", "Tan", "Sienna" },
      { "city_free_S", "Grey", "Tan", "Sienna" },
      { "city_rip", "Black", "MintCream", "Tan" },
      { "city_rip_R", "Black", "MintCream", "Tan" },
      { "light_house", "Gray", "Gray30", "LightSlateBlue" },
      { "light_house_O", "Gray", "IndianRed", "LightSlateBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEall,
    { 15, 28, 34, 40, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,_,_,_,B,_,_,_,_,X,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,B,_,X,B,_,_,B,_,X,B,_,B, },
      { B,B,_,_,_,_,_,B,_,_,_,_,B, },
      { B,X,B,B,_,B,_,X,B,B,_,_,B, },
      { B,_,_,_,_,B,q,_,_,_,_,_,B, },
      { B,_,_,B,_,X,B,B,_,_,_,_,B, },
      { B,_,_,B,_,_,q,_,_,_,B,_,B, },
      { B,B,_,X,B,B,_,_,B,_,X,B,B, },
      { B,B,_,_,_,_,_,_,B,_,_,_,B, },
      { B,X,B,B,_,_,B,_,X,B,B,_,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,X,_,_,_,_,X,B,B,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
