/* XBlast 2.5.3 (2.6.1) level                               */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMLevelData SuperFrog =
{
  /* BMLevel */
  {
    "Super Frog",
    "EPFL - disun : Yves Bresson",
    "xblast.useSuperFrog",
    "Don't frog in the walls",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SuperFrog,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_frogger,
    special_key_frogger,
  },
  /* BMPlayerData */
  {
    6, 3,
    {
      {1,2},
      {1,12},
      {2,7},
      {10,7},
      {11,2},
      {11,12},
    },
    PM_Same, 0,
    IllRun, IllRun, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light", "Grey19", "LightGreen", "Green" },
      { "karo_light_S", "Grey19", "LightGreen", "Green" },
      { "pyramid", "Black", "Goldenrod", "Green" },
      { "pyramid_R", "Black", "Goldenrod", "Green" },
      { "extra", "Black", "LightGreen", "Green" },
      { "extra_O", "Black", "LightGreen", "Green" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_FROG,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEall,
    { 10, 20, 30, 60, 62 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,R,_,_,_,_,B,_,_,_,_,R,B, },
      { B,_,_,X,_,_,B,_,_,X,_,_,B, },
      { B,_,X,_,X,X,_,X,X,_,X,_,B, },
      { B,_,_,X,_,_,B,_,_,X,_,_,B, },
      { B,B,B,_,B,B,B,B,B,_,B,B,B, },
      { B,X,_,X,_,_,_,_,_,X,_,X,B, },
      { B,_,_,B,B,B,X,B,B,B,_,_,B, },
      { B,X,_,X,_,_,_,_,_,X,_,X,B, },
      { B,B,B,_,B,B,B,B,B,_,B,B,B, },
      { B,_,_,X,_,_,B,_,_,X,_,_,B, },
      { B,_,X,_,X,X,_,X,X,_,X,_,B, },
      { B,_,_,X,_,_,B,_,_,X,_,_,B, },
      { B,R,_,_,_,_,B,_,_,_,_,R,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
