/* XBlast 2.5.3 (2.6.1) level                               */
/* Level edited with BlastEd - (C)1998-2000 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://get.to/xblast                            */

static BMPosition y2kbug_Draw[] = {
{4,2}, {6,2}, {7,2}, {8,2}, {8,3}, {6,3}, {4,3}, {5,4}, {7,4}, {4,6}, {5,6}, {6,6}, {7,6}, {8,7}, {7,8}, {6,8}, {5,8}, {4,8}, {4,12}, {4,11}, {5,10}, {6,10}, {7,10}, {8,10}, {8,11}, {8,12}, {7,12}, {6,12}, {4,10}, {5,2} };

static BMPosition y2kbug_Dele[] = {
{4,2}, {5,2}, {6,2}, {6,3}, {7,3}, {8,3}, {6,4}, {5,4}, {4,4}, {4,6}, {4,7}, {5,8}, {6,7}, {7,6}, {8,6}, {8,7}, {8,8}, {8,10}, {7,10}, {6,10}, {5,10}, {4,10}, {4,12}, {5,12}, {6,11}, {7,12}, {8,12} };

static BMLevelData y2kbug =
{
  /* BMLevel */
  {
    "Y2K",
    "EPFL - insun : Yves Bresson",
    "xblast.usey2kbug",
    "Where's the y2k bug ?",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &y2kbug,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {10*GAME_TIME/27, 30, y2kbug_Draw},
    {9*GAME_TIME/27, 27, y2kbug_Dele},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      {10,2},
      {10,4},
      {10,6},
      {10,8},
      {10,10},
      {10,12},
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick | IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Grey", "White", "Black" },
      { "iron_floor", "Grey", "White", "Black" },
      { "dark_block_R", "Red", "White", "Black" },
      { "dark_block", "Green", "White", "Black" },
      { "extra", "Black", "Black", "Black" },
      { "extra_O", "Black", "Black", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "chess_floor", "Black", "Black", "Black" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 10, 20, 30, 40, 50 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,R,R,R,_,_,_,_,_,B, },
      { B,_,_,_,_,_,R,R,R,_,_,_,B, },
      { B,_,_,_,R,R,R,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,R,_,_,R,R,_,_,_,B, },
      { B,_,_,_,R,_,R,_,R,_,_,_,B, },
      { B,_,_,_,_,R,_,_,R,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,R,R,R,R,R,_,_,_,B, },
      { B,_,_,_,_,_,R,_,_,_,_,_,B, },
      { B,_,_,_,R,R,_,R,R,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
